Bug 171626 - trace of 32bit binary shows wrong syscall parameters
trace of 32bit binary shows wrong syscall parameters
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-24 11:20 EDT by Ulrich Drepper
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.5.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 22:05:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2005-10-24 11:20:37 EDT
Description of problem:
On an x86-64 system, compile this code as a 32bit binary and run strace on it:

#include <time.h>
#include <stdio.h>
int
main (void)
{
  struct timespec tv;
  clock_getres (CLOCK_THREAD_CPUTIME_ID, &tv);
  printf ("%ld.%09ld s\n", (long) tv.tv_sec, (long) tv.tv_nsec);
  return 0;
}


Version-Release number of selected component (if applicable):


How reproducible:
strace-4.5.13-1.x86_64

Steps to Reproduce:
1.compile above code as 32bit binary
2.run strace
3.
  
Actual results:
clock_getres(0xfffffffe /* CLOCK_??? */, {4294967296, 15082069717662888}) = 0


Expected results:
clock_getres(0xfffffffe /* CLOCK_??? */, {0, 1}) = 0


Additional info:
The handling of the CLOCK_ values is not questioned here.
Comment 1 Dmitry V. Levin 2006-03-29 19:28:17 EST
There is a discussion on similar issue (#173050).
Comment 2 Dmitry V. Levin 2006-12-13 16:35:38 EST
Fixed upstream.
Comment 3 Roland McGrath 2007-01-11 06:14:27 EST
these bugs are fixed upstream in the coming 4.5.15 release
Comment 4 Roland McGrath 2007-01-16 22:05:20 EST
4.5.15 in rawhide and in updates for fc5 and fc6 fixes this.

Note You need to log in before you can comment on or make changes to this bug.